igeo.io

## Enum IIO.FileType

- java.lang.Object
- - java.lang.Enum<IIO.FileType>
  - - igeo.io.IIO.FileType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IIO.FileType>
  Enclosing class:
    IIO

      public static enum IIO.FileType
      extends java.lang.Enum<IIO.FileType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_3DXML`
    `AI`
    `OBJ`
    `OTHER`
    `RHINO`
    `SHP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IIO.FileType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IIO.FileType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RHINO

          public static final IIO.FileType RHINO

    - #### OBJ

          public static final IIO.FileType OBJ

    - #### _3DXML

          public static final IIO.FileType _3DXML

    - #### AI

          public static final IIO.FileType AI

    - #### SHP

          public static final IIO.FileType SHP

    - #### OTHER

          public static final IIO.FileType OTHER

  - ### Method Detail

    - #### values

          public static IIO.FileType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IIO.FileType c : IIO.FileType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IIO.FileType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null